%define	upstream_name    DateTime-TimeZone
%define upstream_version 2.60

# circular dependency
%global __requires_exclude perl\\((DateTime|DateTime::Duration|Win32.*)\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Time zone object base class and factory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/DateTime-TimeZone
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(List::AllUtils)
BuildRequires: perl(Class::Singleton) >= 1.30.0
BuildRequires: perl(Cwd) >= 3.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Params::ValidationCompiler) >= 0.130.0
BuildRequires: perl(Specio::Library::Builtins)
BuildRequires: perl(Specio::Library::String)
BuildRequires: perl(Storable)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Provides:   perl(DateTime::TimeZoneCatalog)

%{?perl_default_filter}

%description
This perl module defines the base class for all time zone objects. A time zone
is represented internally as a set of observances, each of which describes the
offset from GMT for a given time period.

Note that without the DateTime.pm module, this module does not do much. Its
primary interface is through a DateTime object, and most users will not need to
directly use DateTime::TimeZone methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/DateTime
%{_mandir}/*/*


%changelog
* Wed Apr 05 2023 luigiwalser <luigiwalser> 1:2.600.0-1.mga9
+ Revision: 1951457
- 2.60

* Tue Mar 28 2023 luigiwalser <luigiwalser> 1:2.590.0-1.mga9
+ Revision: 1950528
- 2.59

* Thu Dec 15 2022 tv <tv> 1:2.570.0-1.mga9
+ Revision: 1923072
- update to 2.57

* Mon Oct 31 2022 tv <tv> 1:2.560.0-1.mga9
+ Revision: 1900660
- update to 2.56

* Sat Oct 15 2022 tv <tv> 1:2.550.0-1.mga9
+ Revision: 1896894
- update to 2.55

* Wed Sep 28 2022 tv <tv> 1:2.540.0-1.mga9
+ Revision: 1893004
- update to 2.54

* Mon Aug 15 2022 neoclust <neoclust> 1:2.530.0-1.mga9
+ Revision: 1877684
- New version 2.53

* Fri Mar 18 2022 tv <tv> 1:2.520.0-1.mga9
+ Revision: 1798264
- update to 2.52

* Mon Oct 25 2021 luigiwalser <luigiwalser> 1:2.510.0-1.mga9
+ Revision: 1752891
- 2.51

* Wed Oct 20 2021 luigiwalser <luigiwalser> 1:2.500.0-1.mga9
+ Revision: 1752363
- 2.50

* Mon Oct 04 2021 tv <tv> 1:2.490.0-1.mga9
+ Revision: 1749249
- update to 2.49

* Mon Sep 27 2021 tv <tv> 1:2.480.0-1.mga9
+ Revision: 1746623
- update to 2.48

* Wed Feb 03 2021 luigiwalser <luigiwalser> 1:2.470.0-1.mga8
+ Revision: 1674721
- 2.47

* Sun Dec 27 2020 tv <tv> 1:2.460.0-1.mga8
+ Revision: 1664076
- update to 2.46

* Tue Dec 22 2020 tv <tv> 1:2.450.0-1.mga8
+ Revision: 1662712
- update to 2.45

* Sat Nov 07 2020 tv <tv> 1:2.440.0-1.mga8
+ Revision: 1643140
- update to 2.44

* Thu Oct 22 2020 tv <tv> 1:2.430.0-1.mga8
+ Revision: 1638218
- update to 2.43

* Sat Oct 17 2020 tv <tv> 1:2.420.0-1.mga8
+ Revision: 1636470
- update to 2.42

* Thu Oct 08 2020 tv <tv> 1:2.410.0-1.mga8
+ Revision: 1632683
- update to 2.41

* Sat Apr 25 2020 tv <tv> 1:2.390.0-1.mga8
+ Revision: 1571915
- update to 2.39

* Tue Feb 18 2020 umeabot <umeabot> 1:2.380.0-2.mga8
+ Revision: 1538229
- Mageia 8 Mass Rebuild

* Sun Nov 17 2019 tv <tv> 1:2.380.0-1.mga8
+ Revision: 1461354
- update to 2.38

* Thu Sep 12 2019 tv <tv> 1:2.370.0-1.mga8
+ Revision: 1440066
- update to 2.37

* Wed Jul 03 2019 tv <tv> 1:2.360.0-1.mga8
+ Revision: 1417878
- update to 2.36

* Mon Apr 22 2019 tv <tv> 1:2.350.0-1.mga7
+ Revision: 1394710
- update to 2.35

* Wed Mar 27 2019 tv <tv> 1:2.340.0-1.mga7
+ Revision: 1380549
- update to 2.34

* Mon Dec 31 2018 tv <tv> 1:2.230.0-1.mga7
+ Revision: 1347770
- update to 2.23

* Sun Dec 30 2018 tv <tv> 1:2.220.0-1.mga7
+ Revision: 1347281
- new release (fix translations)

* Tue Oct 30 2018 tv <tv> 1:2.210.0-1.mga7
+ Revision: 1326607
- update to 2.21

* Fri Oct 19 2018 tv <tv> 1:2.200.0-1.mga7
+ Revision: 1322418
- update to 2.20

* Thu Sep 20 2018 umeabot <umeabot> 1:2.190.0-2.mga7
+ Revision: 1282697
- Mageia 7 Mass Rebuild

* Tue May 15 2018 tv <tv> 1:2.190.0-1.mga7
+ Revision: 1229687
- update to 2.19

* Thu Mar 29 2018 tv <tv> 1:2.180.0-1.mga7
+ Revision: 1213425
- update to 2.18

* Wed Jan 24 2018 tv <tv> 1:2.170.0-1.mga7
+ Revision: 1196782
- update to 2.17

* Mon Jan 22 2018 tv <tv> 1:2.160.0-1.mga7
+ Revision: 1195818
- update to 2.16

* Mon Nov 06 2017 tv <tv> 1:2.150.0-1.mga7
+ Revision: 1176178
- update to 2.15

* Sun Oct 29 2017 tv <tv> 1:2.140.0-1.mga7
+ Revision: 1174558
- update to 2.14

* Sat Jul 22 2017 shlomif <shlomif> 1:2.130.0-1.mga7
+ Revision: 1128380
- add missing BR
- New version 2.13

* Sat Jun 18 2016 pterjan <pterjan> 1:1.980.0-2.mga6
+ Revision: 1025321
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 1:1.980.0-1.mga6
+ Revision: 1007480
- update to 1.98

* Fri Apr 15 2016 shlomif <shlomif> 1:1.970.0-1.mga6
+ Revision: 1001806
- update to 1.97

* Wed Feb 10 2016 shlomif <shlomif> 1:1.950.0-1.mga6
+ Revision: 953353
- update to 1.95

* Sat Jan 16 2016 shlomif <shlomif> 1:1.940.0-1.mga6
+ Revision: 923757
- update to 1.94

* Sat Oct 03 2015 sander85 <sander85> 1:1.930.0-3.mga6
+ Revision: 886005
- Require perl(List::AllUtils)

* Sat Oct 03 2015 sander85 <sander85> 1:1.930.0-2.mga6
+ Revision: 885989
- Require timezone

* Thu Aug 13 2015 sander85 <sander85> 1:1.930.0-1.mga6
+ Revision: 864317
- update to 1.93

* Sun Jul 05 2015 sander85 <sander85> 1:1.920.0-1.mga6
+ Revision: 851456
- update to 1.92

* Wed Oct 15 2014 umeabot <umeabot> 1:1.740.0-5.mga5
+ Revision: 748966
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1:1.740.0-4.mga5
+ Revision: 735538
- add exclude

* Sun Sep 21 2014 tv <tv> 1:1.740.0-3.mga5
+ Revision: 707704
- fix excludes

* Tue Sep 16 2014 umeabot <umeabot> 1:1.740.0-2.mga5
+ Revision: 684291
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sun Aug 31 2014 sander85 <sander85> 1:1.740.0-1.mga5
+ Revision: 669952
- update to 1.74

* Thu Aug 07 2014 sander85 <sander85> 1:1.730.0-1.mga5
+ Revision: 660554
- update to 1.73

* Tue Aug 05 2014 sander85 <sander85> 1:1.720.0-1.mga5
+ Revision: 659781
- update to 1.72

* Sun Jun 22 2014 sander85 <sander85> 1:1.710.0-1.mga5
+ Revision: 638663
- update to 1.71

* Wed Jun 04 2014 sander85 <sander85> 1:1.700.0-1.mga5
+ Revision: 632950
- update to 1.70

* Tue May 20 2014 jquelin <jquelin> 1:1.690.0-1.mga5
+ Revision: 624229
- update to 1.69

* Thu Mar 13 2014 jquelin <jquelin> 1:1.650.0-1.mga5
+ Revision: 602891
- update to 1.65

* Mon Feb 10 2014 jquelin <jquelin> 1:1.640.0-1.mga5
+ Revision: 588356
- update to 1.64

* Fri Feb 07 2014 sander85 <sander85> 1:1.630.0-1.mga5
+ Revision: 585254
- update to 1.63

* Mon Oct 21 2013 umeabot <umeabot> 1:1.620.0-2.mga4
+ Revision: 537582
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 1:1.620.0-1.mga4
+ Revision: 487351
- update to 1.62

* Wed Sep 25 2013 sander85 <sander85> 1:1.610.0-1.mga4
+ Revision: 486203
- update to 1.61

* Sun Jul 07 2013 sander85 <sander85> 1:1.600.0-1.mga4
+ Revision: 450964
- update to 1.60

* Fri Jun 07 2013 jquelin <jquelin> 1:1.590.0-1.mga4
+ Revision: 439022
- update to 1.59

* Sun Jan 13 2013 umeabot <umeabot> 1:1.560.0-2.mga3
+ Revision: 365668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1:1.560.0-1.mga3
+ Revision: 342061
- update to 1.56

* Wed Nov 14 2012 jquelin <jquelin> 1:1.540.0-1.mga3
+ Revision: 317625
- update to 1.54

* Wed Nov 07 2012 jquelin <jquelin> 1:1.530.0-1.mga3
+ Revision: 316045
- update to 1.53

* Mon Sep 17 2012 jquelin <jquelin> 1:1.500.0-1.mga3
+ Revision: 294980
- update to 1.50

* Fri Aug 31 2012 kharec <kharec> 1:1.480.0-1.mga3
+ Revision: 286051
- update to 1.48

* Tue Jun 05 2012 jquelin <jquelin> 1:1.460.0-1.mga3
+ Revision: 254842
- update to 1.46

* Mon Mar 05 2012 jquelin <jquelin> 1:1.450.0-1.mga2
+ Revision: 218692
- update to 1.45

* Thu Nov 10 2011 kharec <kharec> 1:1.420.0-1.mga2
+ Revision: 166311
- update to 1.42

* Sat Nov 05 2011 kharec <kharec> 1:1.410.0-1.mga2
+ Revision: 163764
- update to 1.41

* Fri Oct 14 2011 jquelin <jquelin> 1:1.400.0-1.mga2
+ Revision: 154755
- update to 1.40

* Wed Aug 31 2011 jquelin <jquelin> 1:1.360.0-1.mga2
+ Revision: 137002
- update to 1.36

* Fri Jul 08 2011 jquelin <jquelin> 1:1.350.0-1.mga2
+ Revision: 120379
- update to 1.35

* Wed Jun 15 2011 jquelin <jquelin> 1:1.340.0-1.mga2
+ Revision: 106814
- update to 1.34

* Tue Apr 12 2011 jquelin <jquelin> 1:1.330.0-1.mga1
+ Revision: 83754
- update to 1.33

* Sun Apr 03 2011 jquelin <jquelin> 1:1.320.0-1.mga1
+ Revision: 80068
- update to 1.32

* Thu Mar 24 2011 jquelin <jquelin> 1:1.310.0-1.mga1
+ Revision: 76621
- update to 1.31

* Wed Mar 16 2011 jquelin <jquelin> 1:1.300.0-1.mga1
+ Revision: 72334
- update to 1.30

* Wed Mar 09 2011 jquelin <jquelin> 1:1.290.0-1.mga1
+ Revision: 66969
- update to 1.29

* Fri Feb 25 2011 jquelin <jquelin> 1:1.280.0-1.mga1
+ Revision: 59721
- update to 1.28

* Mon Jan 31 2011 dmorgan <dmorgan> 1:1.270.0-1.mga1
+ Revision: 45211
- New version

* Sun Jan 23 2011 jquelin <jquelin> 1:1.260.0-1.mga1
+ Revision: 33704
- mageia rebuild
- imported package perl-DateTime-TimeZone

